/**
  *  \file game/player.h
  *  \brief Player Routines
  *
  *  This module contains various routines that deal with players.
  *
  *  (c) 2001-2012 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_PLAYER_H
#define PCC_V2_PLAYER_H

#include "cpluslib/string.h"
#include "game/playerset.h"

int        getPlayerIdFromChar(char c);
char       getPlayerChar(int player);
GPlayerSet parsePlayerList(const string_t& text, string_t::size_type& index);
GPlayerSet parsePlayerSetFromNumberList(const string_t& text);
string_t   formatPlayerSetToNumberList(GPlayerSet set);

#endif
